# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

config :podcast_feed,
  ecto_repos: [PodcastFeed.Repo]

# Configures the endpoint
config :podcast_feed, PodcastFeedWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "SWl0xVj8AVXoc2G0eUk6VfeOd/lppjkaKbiHWs4ucxAUJ8+wzAEa4bMo0ZVjtVVk",
  render_errors: [view: PodcastFeedWeb.ErrorView, accepts: ~w(html json), layout: false],
  pubsub_server: PodcastFeed.PubSub,
  live_view: [signing_salt: "6jHv46Xw"]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
